#include <WiFi.h>
#include <WiFiUdp.h>

const char *ssid = "LuBaker";
const char *password = "bakerbaker";
//const char *ssid = "elecrow888";
//const char *password = "elecrow2014";

WiFiUDP udp;
unsigned int localPort = 4211; // Local port, same as sender's remotePort
//IPAddress remoteIP(192, 168, 2, 189); // Recipient's IP address
IPAddress remoteIP(172, 20, 10, 4); // Receiver's IP address, cell phone hotspot
unsigned int remotePort = 5200; // Receiver's port

void setup() {
  Serial.begin(115200);
  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED) {
    delay(50);
    Serial.print(".");
  }

  Serial.println("WiFi connected");
  Serial.println("localIP address: ");
  Serial.println(WiFi.localIP());

  udp.begin(localPort);
}

void loop() {
  int packetSize = udp.parsePacket();
  if (packetSize) {
    char incomingPacket[255];
    int len = udp.read(incomingPacket, 255);
    if (len > 0) {
      incomingPacket[len] = 0;
    }
    char buffer1[100];
    sprintf(buffer1, "%s\n", incomingPacket);
    //    Serial.printf("Received:%s\n",incomingPacket);
    udp.beginPacket(remoteIP, remotePort);
    udp.print(String(buffer1));
    udp.endPacket();
    memset(buffer1, 0, sizeof(buffer1));
    //    Serial.printf("Received %d bytes from %s, port %d: %s\n", packetSize, udp.remoteIP().toString().c_str(), udp.remotePort(), incomingPacket);

  }
}
